[Launch]
ProgramExecutable=Listary\Listary.exe
WorkingDirectory=%PAL:AppDir%\Listary
;WaitForEXE1=Listary.Service.exe
DirectoryMoveOK=yes
SupportsUNC=yes
RunAsAdmin=compile-force

[DirectoriesMove]
ListaryConfig=%APPDATA%\Listary

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\PathHistory.json
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\PathHistory.json
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\PathHistory.json
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\Preferences.json
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\Preferences.json
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\Preferences.json
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite7]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\SearchHistory.json
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite8]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\SearchHistory.json
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite9]
Type=Replace
File=%PAL:DataDir%\ListaryConfig\UserProfile\Settings\SearchHistory.json
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

